<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{12271049-82D6-436D-A51E-E6614C8E9C50}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>bbiwarg</RootNamespace>
    <AssemblyName>bbiwarg</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject>bbiwarg.MainBBIWARG</StartupObject>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Emgu.CV, Version=2.4.2.1777, Culture=neutral, PublicKeyToken=7281126722ab4438, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>lib\Emgu.CV.dll</HintPath>
    </Reference>
    <Reference Include="Emgu.Util, Version=2.4.2.1777, Culture=neutral, PublicKeyToken=7281126722ab4438, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>lib\Emgu.Util.dll</HintPath>
    </Reference>
    <Reference Include="iisuNet, Version=3.0.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>lib\iisuNet.dll</HintPath>
    </Reference>
    <Reference Include="MathNet.Numerics">
      <HintPath>lib\MathNet.Numerics.dll</HintPath>
    </Reference>
    <Reference Include="OpenTK, Version=1.1.0.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>lib\OpenTK.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Constants.cs" />
    <Compile Include="Recognition\FingerRecognition\Finger.cs" />
    <Compile Include="Recognition\FingerRecognition\FingerDetector.cs" />
    <Compile Include="Recognition\FingerRecognition\FingerSliceTrail.cs" />
    <Compile Include="Recognition\FingerRecognition\FingerSlice.cs" />
    <Compile Include="Recognition\FingerRecognition\FingerTracker.cs" />
    <Compile Include="Recognition\HandRecognition\Hand.cs" />
    <Compile Include="Recognition\HandRecognition\HandDetector.cs" />
    <Compile Include="Recognition\PalmRecognition\PalmDetector.cs" />
    <Compile Include="Recognition\TouchRecognition\PalmTouchDetector.cs" />
    <Compile Include="Recognition\TouchRecognition\PalmTouchEvent.cs" />
    <Compile Include="Recognition\TouchRecognition\TouchDetector.cs" />
    <Compile Include="Recognition\TouchRecognition\TouchEvent.cs" />
    <Compile Include="Recognition\TouchRecognition\TouchTracker.cs" />
    <Compile Include="Graphics\OutputWindow.cs" />
    <Compile Include="Graphics\TouchEventVisualizer.cs" />
    <Compile Include="Images\ConfidenceImage.cs" />
    <Compile Include="Images\DepthImage.cs" />
    <Compile Include="Images\EdgeImage.cs" />
    <Compile Include="Graphics\OutputImage.cs" />
    <Compile Include="InputProvider\InputFrame.cs" />
    <Compile Include="InputProvider\IInputProvider.cs" />
    <Compile Include="InputProvider\IisuInputProvider.cs" />
    <Compile Include="MainBBWIWARG.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Recognition\Tracking\SimilarityContainer.cs" />
    <Compile Include="Recognition\Tracking\TrackableObject.cs" />
    <Compile Include="Recognition\Tracking\TrackableObjectHistory.cs" />
    <Compile Include="Recognition\Tracking\Tracker.cs" />
    <Compile Include="Server\OSC.NET\OSCBundle.cs" />
    <Compile Include="Server\OSC.NET\OSCMessage.cs" />
    <Compile Include="Server\OSC.NET\OSCPacket.cs" />
    <Compile Include="Server\OSC.NET\OSCTransmitter.cs" />
    <Compile Include="Server\TUIO\TuioContainer.cs" />
    <Compile Include="Server\TUIO\TuioCursor.cs" />
    <Compile Include="Server\TUIO\TuioPoint.cs" />
    <Compile Include="Server\TUIO\TuioServer.cs" />
    <Compile Include="Server\TUIO\TuioTime.cs" />
    <Compile Include="Utility\Kalman2DPositionFilter.cs" />
    <Compile Include="Utility\Line2D.cs" />
    <Compile Include="Utility\LineSegment2D.cs" />
    <Compile Include="Utility\Logger.cs" />
    <Compile Include="Utility\Quadrangle.cs" />
    <Compile Include="Utility\Timer.cs" />
    <Compile Include="Utility\Vector2D.cs" />
    <Compile Include="VideoHandle.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="cudart32_55.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="opencv_core290.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="opencv_imgproc290.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="opencv_video290.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>